# -*- coding: utf-8 -*-
"""
Created on Tue Sep 22 18:08:09 2020

@author: Erandi
"""
import librosa
import pathlib
import os
import glob
from scipy.io.wavfile import read
import pandas as pd
import numpy as np

class wavToCSV:
    max_pad_len = 6501 #pad legth
    wavs = [] # array of wavs
#    
    for filename in glob.glob('*.wav'): #search the file in wav convertion
        print(filename)
        wavs.append(read(filename)) #read the file
        try:
            #load the file using librosa
            y, sr = librosa.load(filename, res_type='kaiser_fast') 
            print(y, sr)
            #extract MFCC
            mfccs = librosa.feature.mfcc(y, sr=sr, n_mfcc=40)
            pad_width = max_pad_len - mfccs.shape[1]
            mfccs = np.pad(mfccs, pad_width=((0, 0), (0, pad_width)), mode='constant')
            print(mfccs, mfccs.shape)
#            put those extracted MFCC to a data frame
            df = pd.DataFrame(mfccs)
            # write a csv with those MFCC
            df.to_csv('featureExtracted.csv', index=False)
            
        except Exception as e:
            print("Error is: ", e)

        
    
    